<script setup>
import { Head, Link } from '@inertiajs/vue3';

defineProps({
    canLogin: {
        type: Boolean,
    },
    canRegister: {
        type: Boolean,
    },
    laravelVersion: {
        type: String,
        required: true,
    },
    phpVersion: {
        type: String,
        required: true,
    },
});
</script>

<template>
    <Head title="Datos abiertos de clima" />
    <div class="min-h-screen bg-gray-100 dark:bg-gray-800 flex flex-col justify-center py-12 sm:px-6 lg:px-8">
        <div class="sm:mx-auto sm:w-full sm:max-w-md">
            <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900 dark:text-white">
                Datos abiertos de clima
            </h2>
            <p class="mt-2 text-center text-sm text-gray-600 dark:text-gray-200">
                Explora datos climáticos abiertos de forma interactiva.
            </p>
        </div>

        <div class="mt-8 sm:mx-auto sm:w-full sm:max-w-md">
            <div class="bg-white dark:bg-gray-700 py-8 px-4 shadow sm:rounded-lg sm:px-10">
                <div class="space-y-6">
                    <div v-if="canLogin || canRegister">
                        <Link v-if="canLogin" :href="route('login')" class="w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-gray-600 hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">
                            Iniciar sesión
                        </Link>
                        <Link v-if="canRegister" :href="route('register')" class="mt-3 w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">
                            Registrarse
                        </Link>
                    </div>
                    <p class="mt-2 text-center text-sm text-gray-600 dark:text-gray-400">
                        © {{ new Date().getFullYear() }}. Todos los derechos reservados.
                    </p>
                </div>
            </div>
        </div>
    </div>
</template>
